# Uses of Class
org.mariadb.jdbc.internal.util.BulkStatus

Packages that use BulkStatus
Package
Description
org.mariadb.jdbc.internal.protocol

## Uses of BulkStatus in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type BulkStatus
Modifier and Type
Method
Description
`abstract void`
AbstractMultiSend.`sendCmd(PacketOutputStream writer, Results results, List<ParameterHolder[]> parametersList, List<String> queries, int paramCount, BulkStatus status, PrepareResult prepareResult)`
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type BulkStatus
Modifier
Constructor
Description
``
`AsyncMultiRead(BulkStatus status, Protocol protocol, AbstractMultiSend bulkSend, int paramCount, Results results, List<ParameterHolder[]> parametersList, List<String> queries, PrepareResult prepareResult)`
Read results async to avoid local and remote networking stack buffer overflow "lock".